## com.thingmagic
Class Gen2.Alien.Higgs3.LoadImage

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.Gen2CustomTagOp
              com.thingmagic.Gen2.Alien
                  com.thingmagic.Gen2.Alien.Higgs3
                      com.thingmagic.Gen2.Alien.Higgs3.LoadImage

Enclosing class:
  Gen2.Alien.Higgs3

    public static class Gen2.Alien.Higgs3.LoadImage

extends Gen2.Alien.Higgs3

Higgs3 LoadImage

Nested Class Summary

Nested classes/interfaces inherited from class com.thingmagic.Gen2.Alien.Higgs3
`Gen2.Alien.Higgs3.BlockReadLock, Gen2.Alien.Higgs3.FastLoadImage, Gen2.Alien.Higgs3.LoadImage`

Nested classes/interfaces inherited from class com.thingmagic.Gen2.Alien
`Gen2.Alien.Higgs2, Gen2.Alien.Higgs3`

Field Summary
`int` `accessPassword` Access password to write to the tag
`int` `currentAccessPassword` current access password to write to the tag
`byte[]` `EPCAndUserData` Tag EPC to write to the tag
`int` `killPassword` killPassword password to write to the tag
`int` `pcWord` pc bits to write to the tag

Fields inherited from class com.thingmagic.Gen2.Gen2CustomTagOp
`chipType`

Constructor Summary
`Gen2.Alien.Higgs3.LoadImage(int currentAccessPassword, int accessPassword, int killPassword, int pcWord, byte[] EPCAndUserData)` Constructor to initialize parameters of Higgs3LoadImage

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentAccessPassword

    public int currentAccessPassword

  current access password to write to the tag

### accessPassword

    public int accessPassword

  Access password to write to the tag

### killPassword

    public int killPassword

  killPassword password to write to the tag

### pcWord

    public int pcWord

  pc bits to write to the tag

### EPCAndUserData

    public byte[] EPCAndUserData

  Tag EPC to write to the tag

Constructor Detail

### Gen2.Alien.Higgs3.LoadImage

    public Gen2.Alien.Higgs3.LoadImage(int currentAccessPassword,
                                       int accessPassword,
                                       int killPassword,
                                       int pcWord,
                                       byte[] EPCAndUserData)

  Constructor to initialize parameters of Higgs3LoadImage

  Parameters:
    `currentAccessPassword` - The access password to use to write on the tag.
    `accessPassword` - The new access password to be written on the tag.
    `killPassword` - The new kill password to be written on the tag.
    `pcWord` - The PC word to be written on the tag.
    `EPCAndUserData` - 76 bytes of EPC and User memory data to be written on the tag.